# Test: Missing required persona.role field
# Expected: FAIL
# Error code: invalid_type
# Error path: agent.persona.role
# Error expected: string

agent:
  metadata:
    id: missing-role
    name: Missing Role
    title: Missing Role
    icon: ❌
    hasSidecar: false

  persona:
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: display_help
